QGIS Application - Bug report #14875
labeling using "capitalize first letter” fails with curved labeling
2016-05-24 03:33 AM - Nyall Dawson

Status: Closed

Priority: Normal

Assignee: Nyall Dawson

Category: Unknown

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 22828
Description

Instead all letters are capitalized.

Associated revisions

Revision 15dd2956 - 2016-08-30 07:34 AM - Nyall Dawson

Fix Capitalize First Letter fails with curved labels (fix #14875)

Instead of using QFont's inbuilt capitalization support, which
applies only on rendering and accordingly fails for curved
labels which are drawn one character at a time, we now manually

capitalize label text while registering features.

The capitalize first method from Qt was reimplemented in QgsStringUtils
(together with what | expect is better handling of unicode characters
over the Qt method).

This change also makes it possible to implement other capitalization
methods not directly supported by Qt

Revision 5cc97ab7 - 2016-08-30 12:18 PM - Nyall Dawson

Fix Capitalize First Letter fails with curved labels (fix #14875)

Instead of using QFont's inbuilt capitalization support, which

applies only on rendering and accordingly fails for curved

labels which are drawn one character at a time, we now manually
capitalize label text while registering features.

The capitalize first method from Qt was reimplemented in QgsStringUtils
(together with what | expect is better handling of unicode characters

over the Qt method).

This change also makes it possible to implement other capitalization
methods not directly supported by Qt

(cherry-picked from 15dd295)

2025-05-19 12




Revision 54a50ccf - 2016-08-31 12:49 AM - Nyall Dawson

Fix Capitalize First Letter fails with curved labels (fix #14875)

Instead of using QFont's inbuilt capitalization support, which

applies only on rendering and accordingly fails for curved

labels which are drawn one character at a time, we now manually
capitalize label text while registering features.

The capitalize first method from Qt was reimplemented in QgsStringUtils
(together with what | expect is better handling of unicode characters

over the Qt method).

This change also makes it possible to implement other capitalization
methods not directly supported by Qt

(cherry-picked from 15dd295)

Revision d30f66eb - 2016-08-31 01:30 AM - Nyall Dawson

Fix Capitalize First Letter fails with curved labels (fix #14875)

Instead of using QFont's inbuilt capitalization support, which

applies only on rendering and accordingly fails for curved

labels which are drawn one character at a time, we now manually
capitalize label text while registering features.

The capitalize first method from Qt was reimplemented in QgsStringUtils
(together with what | expect is better handling of unicode characters

over the Qt method).

This change also makes it possible to implement other capitalization
methods not directly supported by Qt

(cherry-picked from 15dd295)

History

#1 - 2016-08-29 10:34 PM - Nyall Dawson
- Status changed from Open to Closed

Fixed in changeset commit:"15dd29564ceae82266b9d4a8adf2e12bd184a70f".

#2 - 2017-09-22 10:05 AM - Jiirgen Fischer
- Category set to Unknown
